Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Interface Dataset3DChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AbstractPlot3D`, `CategoryPlot3D`, `PiePlot3D`, `XYZPlot`

public interface Dataset3DChangeListener extends EventListener
The interface through which dataset change events are passed. The plot classes implement this interface so they can receive notification of changes to the dataset they are managing.

## Method Summary

Modifier and Type
Method
Description
`void`
`datasetChanged(Dataset3DChangeEvent event)`
Called to notify the listener that the source dataset has been changed.

## Method Details

### datasetChanged

void datasetChanged(Dataset3DChangeEvent event)
Called to notify the listener that the source dataset has been changed.

Parameters:
  `event` - the event details.